# EBM Utils

![License](https://img.shields.io/github/license/blengerich/ebm_utils.svg?style=flat-square)
![Maintenance](https://img.shields.io/maintenance/yes/2023?style=flat-square)
![python](https://img.shields.io/badge/python-3.9%20|%203.10-blue)
<a href="https://github.com/psf/black"><img alt="Code style: black" src="https://img.shields.io/badge/code%20style-black-000000.svg"></a>
![Test Passing](https://github.com/blengerich/ebm_utils/actions/workflows/unit-test.yml/badge.svg)
![pylint Score](pylint.svg)

Utilities for [Explainable Boosting Machines](https://github.com/interpretml/interpret).

Includes:
- [Feature Importance in EBMs](https://github.com/blengerich/ebm_utils/blob/main/demos/importances_demo.ipynb)
- [Marginalization with EBMs](https://github.com/blengerich/ebm_utils/blob/main/demos/marginalize_demo.ipynb)
- [Plotting effects in EBMs with Matplotlib utils](https://github.com/blengerich/ebm_utils/blob/main/demos/plotting_demo.ipynb)
- [Purification of interaction effects](https://github.com/blengerich/ebm_utils/blob/main/demos/purify_demo.ipynb)
- [Automated Discontinuity Finding with EBMs](https://github.com/blengerich/DeathByRoundNumbers/blob/main/analyze_pneumonia.ipynb)
- [Automated Non-Monotonicity Finding with EBMs](https://github.com/blengerich/DeathByRoundNumbers/blob/main/analyze_pneumonia.ipynb)

## Install and Use EBM Utils
```
pip install git+https://github.com/blengerich/ebm_utils.git
```


## Contributing

Feel free to contribute your utilities with the process in [CONTRIBUTING.md](https://github.com/blengerich/ebm_utils/blob/main/CONTRIBUTING.md).
